/**
 * NetworkNodeStatusMsg.java
 *
 * @author Jeremy Stribling
 * @version    $Id: NetworkNodeStatusMsg.java,v 1.3 2003/05/20 01:30:48 hweather Exp $
 */

package ostore.network;
import seda.sandStorm.api.QueueElementIF;
import ostore.util.NodeId;

/**
 * This event lets any other listening stage know that
 * a low-level connection to a node has been closed
 */
public class NetworkNodeStatusMsg implements QueueElementIF {

    public NodeId dead_node;

    /**
     * Constructor.
     *
     * @param node   the id of the node whose status has changed
     */
    public NetworkNodeStatusMsg( NodeId node ) {

	this.dead_node = node;

    }

    public String toString () {
	return "(NetworkNodeStatusMsg,  node = " + dead_node + ")";
    }

}

