/**
 * TapestryIntegrateMsg.
 *
 * @author     Ben Y. Zhao
 * @version    $Id: TapestryIntegrateMsg.java,v 1.3 2003/02/26 23:26:35 strib Exp $
 */

package ostore.tapestry.api;
import seda.sandStorm.api.QueueElementIF;
import ostore.util.NodeId;

/**
 * Event sent from an application stage to the Tapestry stage telling it to
 * integrate itself into the Tapestry network.  This spawns off a sequence of
 * events from {@link ostore.tapestry.impl.DynamicTClient}.  When those
 * events are done, the DynamicTClient responds with a {@link
 * ostore.tapestry.impl.TapestryReadyMsg}.  
 */
public class TapestryIntegrateMsg 
  implements QueueElementIF {
  
  public NodeId[] gateway;
  /**
   * Empty constructor.
   */
  public TapestryIntegrateMsg () {
    this.gateway = null;
  }

  public TapestryIntegrateMsg (NodeId gateway) {
    NodeId[] tmp = {gateway};
    this.gateway = tmp;
  }

  public TapestryIntegrateMsg (NodeId[] gateways) {
    this.gateway = gateways;
  }

  public String toString() {
    return "TapestryIntegrateMsg: gateway="+gateway;
  }
}













