/**
 * TapestryQuery.
 *
 * @author     Sean C. Rhea
 * @version    $Id: TapestryQuery.java,v 1.5 2002/07/20 19:18:15 srhea Exp $
 */
package ostore.tapestry.api;
import ostore.util.QuickSerializable;
import ostore.util.SecureHash;

/**
 * The query that is passed along with a location request.  
 *
 * @see TapestryLocateMsg
 */
public interface TapestryQuery extends QuickSerializable {

    /**
     * Perform the query on the given backpointer and tag, possibly
     * modifying the supplied state.
     *
     * @param node_guid the guid of the current node
     * @param bp_guid   the guid of the node to which the backpointer points
     * @param tag       the associated tag
     * @param state     the state, passed in and (possibly) modified
     *
     * @return the query result
     */
    public TapestryQueryResult query(SecureHash node_guid,
                                     SecureHash bp_guid,
                                     TapestryTag tag,
                                     TapestryQueryState state);
}
