/**
 * FragmentedMsg class.
 *
 * @author     Ling Huang
 * @version    $Id: FragmentedMsg.java,v 1.1 2002/08/16 15:10:58 hling Exp $
 */

package ostore.tapestry.channel;
import java.util.TreeSet;
import ostore.network.NetworkMessage;
import ostore.util.SecureHash;
import ostore.util.SHA1Hash;

public class FragmentedMsg
{
    private String class_tag = "FragmentedMsg";

    private int count;      //The # of fragments that this msg still waits for.
    private int bitmap;     //Indicate which fragments have been received, which
                            //have not.
    private TreeSet   rcvd_fragments;   //A list of fragments that have been 
                                          //received so far.
    public FragmentedMsg()
    {
        count = -1;
	bitmap = 0;
	rcvd_fragments = null;
    }

    public FragmentedMsg(int count, int bitmap, TreeSet rcvd)
    {
	this.count  = count;
	this.bitmap = bitmap;
	this.rcvd_fragments = rcvd;
    }

    public Object clone () 
    {
	FragmentedMsg result = new FragmentedMsg();
	
	result.count   = count;
	result.bitmap  = bitmap;
	result.rcvd_fragments = rcvd_fragments;
	return result;
    }

    public int get_unrcvd_num()              {    return count; }
    public int get_bitmap()                  {    return bitmap; }
    public TreeSet get_rcvd_fragments()      {    return rcvd_fragments; }

    public void set_unrcvd_num(int count)         {    this.count = count; }
    public void set_bitmap(int bitmap)            {    this.bitmap = bitmap; }
    public void set_rcvd_fragments(TreeSet list)  {    rcvd_fragments = list; }
}











