package ostore.tapestry.impl.Shuttle;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import ostore.tapestry.impl.*;

import ostore.tapestry.impl.Shuttle.InitChatFrame;

public class LoginFrame
    extends JFrame implements ActionListener {

    private TestShuttle shuttleParent;

    private JPasswordField passwordField;
    private JLabel label;
    private JTextField loginField;
    
    private JButton button;

    private JCheckBox newUserCheckBox;
    
    private JCheckBox storeLocalCheckBox;

    public LoginFrame(TestShuttle parent)
    {
	super("Shuttle Login");
	shuttleParent = parent;
	
	GridBagLayout gridBag = new GridBagLayout();
	Container contentPane = getContentPane();
	contentPane.setLayout(gridBag);
	
	GridBagConstraints c = new GridBagConstraints();

	label = new JLabel("Enter username and password");

	loginField = new JTextField (10);
	//loginField.addActionListener(this);

	passwordField = new JPasswordField(10);
	//passwordField.addActionListener(this);
	passwordField.setEchoChar('*');

	button = new JButton("submit");
	button.addActionListener(this);

	newUserCheckBox = new JCheckBox("new user");

	storeLocalCheckBox = new JCheckBox("use local storage");
	
	c.gridwidth = GridBagConstraints.REMAINDER;
	c.gridheight = 1;
	c.fill = GridBagConstraints.HORIZONTAL;
	
	gridBag.setConstraints(label, c);
	contentPane.add(label);

	gridBag.setConstraints(loginField, c);
	contentPane.add(loginField);

	gridBag.setConstraints(passwordField, c);
	contentPane.add(passwordField);
	
	gridBag.setConstraints(button, c);
	contentPane.add(button);

	gridBag.setConstraints(newUserCheckBox, c);
	contentPane.add(newUserCheckBox);	

	gridBag.setConstraints(storeLocalCheckBox, c);
	contentPane.add(storeLocalCheckBox);

	pack();
	setVisible(true);
    }
    
    public void incorrect_pw_notify()
    {
	JOptionPane.showMessageDialog(this, "Invalid Username/Password tuple", "Error",
				      JOptionPane.ERROR_MESSAGE);
    }


    public void make_visible() {
	setVisible(true);
    }

    public void make_hidden() {
	setVisible(false);
    }

    public void actionPerformed(ActionEvent evt) {
	if(storeLocalCheckBox.isSelected())
	    shuttleParent.SetStoreLocal();
	else
	    shuttleParent.SetStoreNetwork();

	if(newUserCheckBox.isSelected()) {
	    shuttleParent.MakeNewUser(loginField.getText().trim(), new String(passwordField.getPassword()).trim());
	}else{
	    shuttleParent.InitiateLogin(loginField.getText().trim(), new String(passwordField.getPassword()).trim());
	}
    }

}


