/**
 * ShuttleIOToMsg.java
 *
 * @author     Calvin L. Hubble
 * @version    $Id: ShuttleIOToMsg.java,v 1.7 2002/10/30 10:30:58 calvinh Exp $
 */

package ostore.tapestry.impl.Shuttle;
import ostore.util.QSException;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.util.ByteUtils;
import ostore.util.TypeTable;
import ostore.tapestry.api.TapestryRouteMsg;
import seda.sandStorm.api.QueueElementIF;
//import mdw.sandStorm.api.QueueElementIF;
/**
 * This is a message TO the ShuttleIO stage
 * If the Shuttle stage wants us to do anything with IO ... we'll hear
 * about it from this message!!
 */
public class ShuttleIOToMsg implements QueueElementIF {

 
    int msgType; //The type of message to be Sent ...
    String msg;  //The actual message itself
    String sender;
    String [] contactList;
    
    
    public ShuttleIOToMsg() 
    {
	msgType = -1;
	msg = "";
	sender = "";
	contactList = new String[0];
    }

    public ShuttleIOToMsg (int msgtype, String m)
    {	
	msg = m;
	msgType = msgtype; 
    }

  public String toString() {
      //return "(ShuttleIOToMsg for object "+objGuid+", from/to="+ peer+ ")";
      return "(ShuttleIOToMsg msgType="+msgType+" msg="+msg+")";
  }

    

    public final static int SHUTTLEIO_ONLINECONTACTLIST = 10;
    public final static int SHUTTLEIO_OFFLINECONTACTLIST = 11;
    public final static int SHUTTLEIO_ALLCONTACTLIST = 12;

    public final static int SHUTTLEIO_RECEIVEDTEXTMESSAGE = 13;
    public final static int SHUTTLEIO_REQUESTOFFLINECONTACTS = 14;
    
    public final static int SHUTTLEIO_WHOAMI = 15;
}




