/**
 * StaticAliveMsg.
 *
 * @author     Sean C. Rhea
 * @version    $Id: StaticAliveMsg.java,v 1.9 2002/07/20 19:38:03 srhea Exp $
 */

package ostore.tapestry.impl;
import ostore.network.NetworkMessage;
import ostore.util.ByteUtils;
import ostore.util.InputBuffer;
import ostore.util.NodeId;
import ostore.util.QSException;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.util.TypeTable;
import ostore.util.InputBuffer;
import ostore.util.QuickSerializable;

public class StaticAliveMsg 
extends NetworkMessage implements QuickSerializable {

    public SecureHash guid;

    public StaticAliveMsg (NodeId peer, SecureHash guid) {
	super (peer, false /* outbound */);
	this.guid = guid;
    }

    public StaticAliveMsg (InputBuffer buffer) throws QSException {
	super (buffer);
	guid = (SecureHash) buffer.nextObject ();
    }

  
    public void serialize (OutputBuffer buffer) {
	super.serialize (buffer);
	buffer.add(guid);
    }

    /*    public void add_to_digest (OutputBuffer buffer) {
	buffer.add (TypeTable.type_code (guid));
	buffer.add (guid);
	}*/

    public Object clone () throws CloneNotSupportedException {
	return super.clone ();
    }

    public String toString () {
	return "(StaticAliveMsg " + super.toString () + ")";
    }
}

