package ostore.tapestry.impl;
import ostore.network.NetworkMessage;
import ostore.util.NodeId;
import ostore.util.SecureHash;
import ostore.util.QSException;
import ostore.util.Carp;
import java.util.Iterator;
import java.util.ArrayList;
import ostore.util.InputBuffer;
import ostore.util.OutputBuffer;
import ostore.util.QuickSerializable;

public class TestNetworkMsg
  extends NetworkMessage implements QuickSerializable {

  public long time;
  public double failure;

  public TestNetworkMsg (NodeId peer, long time, double failure) 
  {
    super (peer, false /*outbound*/);
    this.time = time;
    this.failure = failure;
  }

  public TestNetworkMsg (InputBuffer buffer) throws QSException {
    super(buffer) ;
    time = buffer.nextLong();
    failure = buffer.nextDouble();
  }

  public void serialize (OutputBuffer buffer) {
    super.serialize (buffer);
    buffer.add(time);
    buffer.add(failure);
  }
  
  public Object clone () throws CloneNotSupportedException {
    TestNetworkMsg result = (TestNetworkMsg) super.clone();
    result.time = time;
    result.failure = failure;
    return result;
  }

  public String toString() {
    String s = "(TestNetworkMsg: from " + peer + 
	" at time " +time+
	" with failure = "+failure+")";
    return s;
  }
}

