package ostore.tapestry.impl.test;
import ostore.tapestry.patchwork.ProbPDF;
import ostore.tapestry.patchwork.CDF;
import ostore.util.RandomExponential;

/** Specifies a CDF and a PDF for churning */
public class ChurnFailPDF implements ProbPDF, CDF {

    private double failrate = .2;

    // how many periods to fail after (DEFAULT)
    private int failperiod = 300;
    // how often is this checked?
    private int failincrement = 1000;
    private long seed;

    RandomExponential rand = new RandomExponential(1.0/failperiod);

    public double getPDFEntry( int n ) {
	double exp = rand.nextExponential();
	//System.out.println( "Fail-Comparing " + n + " and " + exp ); 
	if( n % 60 == 0 && n*failrate > exp ) {
	    return 1;
	} else {
	    return 0;
	}
    }

    public int getPDFSize() {
	return Integer.MAX_VALUE;
    }

    public int getPDFIncrement() {
	return failincrement;
    }

    public void setSeed( long seed ) {
	rand.setSeed( seed );
	this.seed = seed;
    }

    public void setRate( double rate ) {
	failrate = rate;
    }

    public void setInterval( int interval ) {
	failperiod = interval;
	rand = new RandomExponential(1.0/failperiod, seed);
    }

    public double getCDFEntry( int n ) {
	return 0;
    }

    public int getCDFSize() {
	return getPDFSize();
    }

    public int getCDFIncrement() {
	return getPDFIncrement();
    }

}
