/**
 * TapestryRouteMsgChannel.
 *
 * @author     Ling Huang
 * @version    $Id: TapestryRouteMsgChannel.java,v 1.7 2002/08/18 22:39:41 srhea Exp $
 */
package ostore.tapestry.impl.test;
import ostore.tapestry.api.*;
import ostore.tapestry.channel.*;
import ostore.util.SecureHash;
import ostore.util.QuickSerializable;
import ostore.util.OutputBuffer;
import ostore.util.InputBuffer;
import ostore.util.QSException;
import ostore.util.QuickSerializable;
import seda.sandStorm.api.QueueElementIF;

/**
 * Messages sent from one OceanStore machine to any other.  To send a
 * message from one OceanStore machine to any other, one simply inherits
 * from this class, filling in the proper serialization code for the
 * inherited class's data.  (The Tapestry stage will take care of the
 * fields in this class itself.)  
 *
 * <p> Implementation-wise, this is simply a route-to-root operation.
 */
public class TapestryRouteMsgChannel 
extends TapestryRouteMsg implements QuickSerializable
{
    public TapestryRouteMsgChannel (SecureHash peer) 
    {
	this.peer = peer;
	this.inbound = false;

	this.hopCount = 0;
	this.TTL = 10;

	this.qos = MsgQos.UNRELIABLE;
    }

    public TapestryRouteMsgChannel (SecureHash peer, int qos) 
    {
        this.peer = peer;
	this.inbound = false;

	this.hopCount = 0;
	this.TTL = 10;

	this.qos = qos;
    }

    /**
     * Empty constructor.  For use by derived types when reconstructing
     * themselves from a byte array.
     */
    public TapestryRouteMsgChannel () {}

    public TapestryRouteMsgChannel (InputBuffer buffer) throws QSException
    {
	super(buffer);
    }

    public void serialize (OutputBuffer buffer) 
    {
	super.serialize (buffer);
    }
    
    public void add_to_digest(OutputBuffer buffer) 
    {
    }

  
    public String toString() 
    {
	return "(TapestryRouteMsgChannel from/to="+ peer+ ")";
    }
}



