/*
 *  Copyright (c) 2001 Regents of the University of California.  All
 *  rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *  3. Neither the name of the University nor the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS
 *  IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 *  FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 *  REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 *  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package ostore.util;

/**
 * @author     Sean C. Rhea
 * @version    $Id: DebugFlags.java,v 1.105 2003/02/07 20:59:01 hweather Exp $
 */
public class DebugFlags {

    /* for everybody */
    public static final boolean ASSERT = false;
    public static final boolean LOG_BAD_NETWORK_EVENTS = true;

    public static final boolean ADD_ARTIFICIAL_DELAY = false;
    
  /* security */
  public static final boolean SECURITY_THRESHOLD_SIGNATURE = false;

  /* util */
  public static final boolean NODEID         = false;
  public static final boolean PRIORITY_QUEUE = false;
  public static final boolean TYPE_TABLE     = false;
  public static final boolean QSIO           = false;

  /* Network */
  public static final boolean NETWORK_NETWORK     = false;
  public static final boolean NETWORK_PATCHWORK   = false;
  public static final boolean NETWORK_PATCHWORKTABLE   = false;
  public static final boolean NETWORK_PATCH_LOSS   = false;
  public static final boolean NETWORK_PATCH_LATENCY   = false;  
  public static final boolean NETWORK_PATCH_BANDWIDTH   = false;
  public static final boolean NETWORK_PATCH_RECALC   = false;

  /* Startrek */
  public static final boolean STARTREK_TCLIENT    = false;
  public static final boolean STARTREK_FEDERATION = false;

  /* Tapestry */
  public static final boolean TAPESTRY_ROUTING_TABLE         = false;
  public static final boolean TAPESTRY_CHANNEL               = false;
  public static final boolean TAPESTRY_CHANNEL_MSG           = false;
  public static final boolean TAPESTRY_STATIC_FEDERATION     = false;
  public static final boolean TAPESTRY_DYNAMIC_TCLIENT       = false;
  /* Patchwork */
  public static final boolean TAPESTRY_PATCHWORK_PATCHWORKSTAGE = false;  
  public static final boolean TAPESTRY_PATCHWORK_PATCHWORKMODEL = false;
  public static final boolean TAPESTRY_PATCHWORK_FAULTINJECTIONSTAGE = false;
  public static final boolean TAPESTRY_PATCHWORK_FAULTCONTROLLER = false;

  /* Bloom */
  public static final boolean BLOOM                          = false;

  /* Responsible Party  */
  public static final boolean RP_RP                          = false;

  /* Inner ring */
  public static final boolean INNER_FAKE_INNER               = false;

  /* Byanztine agreement */
  public static final boolean AGREE_FAKE_BYZANTINE           = false;

  /* Dispatch */
  public static final boolean DISPATCH_CLASSIFIER	= false;
  public static final boolean DISPATCH_TRIENODE		= false;
  public static final boolean DISPATCH_FILTER		= false;
  public static final boolean DISPATCH_SIGNAL		= false;
  public static final boolean DISPATCH_TSINK		= false;
  public static final boolean DISPATCH_RESENDER		= false;
    
  /* OIL */
  public static final boolean OIL_ARRAY		= false;
  public static final boolean OIL_MATRIX	= false;
  public static final boolean OIL_SCREEN	= false;
  public static final boolean OIL_HMM		= false;
  public static final boolean OIL_HMMBUILDER	= false;
  public static final boolean OIL_HMMPREDICTOR	= false;
  public static final boolean OIL_SEGMENTPAGER	= false;
  public static final boolean OIL_EVENTCOUNTSTAGE 	= false;
	
  /* Cache [ostore.cache] */
    public static final boolean CACHE_DEBUG_ON = false;

  public static final boolean DATA_CACHE = false && CACHE_DEBUG_ON; 
  public static final boolean LRU_CACHE = false && CACHE_DEBUG_ON; 
  public static final boolean CACHE_DB = false && CACHE_DEBUG_ON; 
  public static final boolean A_MEMORY_CACHE = false && CACHE_DEBUG_ON;
  public static final boolean CACHE_BLOCK_REPLY = false && CACHE_DEBUG_ON;
  public static final boolean CACHE_BLOCK_REQUEST = false && CACHE_DEBUG_ON; 
  public static final boolean CACHE_TO_DISK = false && CACHE_DEBUG_ON;
  public static final boolean FRAGMENT_STORE = false && CACHE_DEBUG_ON;
  public static final boolean MEMORY_CACHE = false && CACHE_DEBUG_ON;
  public static final boolean DISK_WRITER = false && CACHE_DEBUG_ON;

  public static final boolean CACHE_MANAGER = false;
  /* Archival */
  public static final boolean DEBUG_FAKE_REQUESTOR_DISSEMINATOR_STAGE = false;
  public static final boolean DEBUG_SET_CREATOR_STAGE         = false;
  public static final boolean DEBUG_ARCHIVAL_STORAGE_STAGE    = false;
  public static final boolean DEBUG_DISSEMINATOR_STAGE        = false;
  public static final boolean DEBUG_REQUESTOR_STAGE           = false;
  public static final boolean DEBUG_GENERATE_FRAGS_LOG_REQ    = false;
  public static final boolean DEBUG_ARCHIVE_OBJ_BUCKET        = false;
  public static final boolean DEBUG_GENERATE_CHKPT_STAGE      = false;
  public static final boolean DEBUG_TEST_GENERATE_FRAGS_STAGE = false;
  public static final boolean DEBUG_GENERATE_FRAGS_STAGE      = false;
  public static final boolean DEBUG_RECOALESCE_BLK_STAGE      = false;
  public static final boolean DEBUG_TEST_ERASURE              = false;
  public static final boolean DEBUG_ERASURE                   = false;
  public static final boolean DEBUG_CAUCHY                    = false;
  public static final boolean DEBUG_CAUCHY_ENCODE             = false;
  public static final boolean DEBUG_CAUCHY_DECODE             = false;
  public static final boolean DEBUG_INTERLEAVED               = false;
  public static final boolean DEBUG_FRAGMENT                  = false;
  public static final boolean DEBUG_FRAGMENT_BUCKET           = false;
  public static final boolean DEBUG_TOMBSTONE                 = false;
  public static final boolean DEBUG_TOMBSTONE_BUCKET          = false;
  public static final boolean DEBUG_BUCKET_TO_DISSEMINATE_EVENT = false;
  public static final boolean DEBUG_REQUEST_DISSEMINATION_SET_QUERY = false;
  public static final boolean DEBUG_REQUEST_FRAG_QUERY_STATE  = false;
  public static final boolean DEBUG_REQUEST_FRAG_QUERY        = false;
  public static final boolean DEBUG_ARCHIVER_STAGE            = false;
  public static final boolean DEBUG_ARCHIVER_LOCATE_QUERY     = false;
  public static final boolean DEBUG_UPDATE_VERIFIABLE_BLOCKS_STAGE  = false;
  public static final boolean DEBUG_REPAIR_STAGE  = false;

    /*  ostore.client  */
    public static final boolean API_SERVER_CONNECTION = false;
    public static final boolean OSACTION_APPEND       = false;
    public static final boolean OSACTION_EXPAND       = false;
    public static final boolean OSACTION_REPLACE      = false;
    public static final boolean OSACTION_SET_METADATA = false;
    public static final boolean OSACTION_TRUNCATE     = false;
    public static final boolean OSREAD                = false;
    public static final boolean OSMETADATA_REQUEST    = false;
    public static final boolean OSMETADATA_RESULT     = false;


  /*  ostore.dataobj  */
  public static final boolean BTREE           = false;
  public static final boolean DATA_OBJECT     = false;
  public static final boolean HANDLE_STORE    = false;
  public final static boolean METADATA        = false;

  /*  ostore.update  */
  public static final boolean UPDATE                  = false;
  public static final boolean UPDATE_STAGE            = false;
  public static final boolean READ_STAGE              = false;
  public static final boolean PREDICATE_COMPARE_BYTES = false;
  public static final boolean ACTION_APPEND           = false;
  public static final boolean ACTION_EXPAND           = false;
  public static final boolean ACTION_REPLACE          = false;
  public static final boolean ACTION_SET_METADATA     = false;
  public static final boolean ACTION_TRUNCATE         = false;
  public static final boolean READ_REQUEST            = false;
  public static final boolean UPDATE_CREATOR          = false;

    /* ostore.replica */
    public static final boolean REPLICA 	= false;
    public static final boolean REPLICA_MANAGER	= false;
    public static final boolean REPLICA_STAGE	= false;


    /* ostore.dtree */
    public static final boolean DTREE_NODE 	= false;
    public static final boolean DTREE_TEST 	= true;  // leave set to true

    /* ostore.apps.test */
    public static final boolean TRAFFIC_GENERATOR = true; // leave set to true

    /* ostore.apps.surge */
    public static final boolean SURGE_CLIENT	  = true; // leave set to true
    public static final boolean SURGE_POP	  = false; 

    /* ostore.apps.traces */
    public static final boolean TRACE_CLIENT	  = true; // leave set to true
    public static final boolean TRACE_SETUP_ITERATOR	= false;
    public static final boolean TRACE_MOBILE_ITERATOR	= false;
    
    /* benchmark flag */
    public static final boolean BENCHMARK         = false;

    /* ostore.apps.visdemo flag */
    public static final boolean VISDEMO		  = false;
}
