#!/usr/bin/perl 
# Written by Anthony D. Joseph (adj@eecs.berkeley.edu)
# August 25, 2002


require "getopts.pl";
&Getopts("s:d:");  # s for <# of static nodes>, d for <# of dynamic nodes>

($#ARGV == 0) || &usage;
$head = $ARGV[0];

#
# Initialize
#
$Static = 0;
if ($opt_s) {
    $Static = "$opt_s";
} else {
    $Static = 2;
}

$Dynamic = 0;
if ($opt_d) 
{
    $Dynamic = "$opt_d"
} else {
    $Dynamic = 0;
}

print "# of Static  node: $Static\n";
print "# of Dynamic node: $Dynamic\n";

sub usage {
    die("Usage: gen_exp.pl [-s <# of static nodes>] [-d <# if dynamic nodes>] head.exp");
}

$exp_file = "/tmp/tapestry_planetlab_s" . $Static . "_d" . $Dynamic . ".exp";
print "Generate file: $exp_file\n";
system "cp $head $exp_file";
open(NODES, ">> $exp_file") || die( "ERROR: could not open $exp_file" );
print NODES "Federation   \${run_dir}/federation.cfg         fed       daemon\n";

for $i (0 .. $Dynamic - 1) 
{
    print NODES "MEM$i         \${run_dir}/fulltest-member.cfg    dynamic   mortal\n";
}

for $i ($Dynamic .. $Dynamic + $Static - 1) 
{
    print NODES "MEM$i         \${run_dir}/fulltest-member.cfg    static    mortal\n";
}

close(NODES);





