#!/usr/bin/perl -w
#
# $Id: remote_pull.pl,v 1.4 2002/12/24 07:50:49 geels Exp $

use strict;
use Getopt::Long;
$Getopt::Long::order = $REQUIRE_ORDER;	# Stop processing at url.

my %options;

&GetOptions( \%options, "help|?", "remote-dir=s", "parallel=i" )
    or &usage and exit( -1 );

if( $options{"help"} ) {
    &usage and exit( 0 );
}
my $remote_dir = ($options{"remote-dir"} or "." );

sub usage {
    print "\nUSAGE:\t remote_pull.pl [--parallel [<max>]] [--remote-dir <dir>] <URL>\n\n";
}

my $url = shift @ARGV;
if( ! $url or @ARGV ) {
    &usage() and exit( -1 );
}

my $filename;
if( $url =~ m%/([^/]+)$% ) {
    $filename = $1;
} else {
    die( "could not parse filename out of $url\n" );
}
my $command = "rm -f $remote_dir/$filename; wget -P $remote_dir $url";

my $num_parallel = ($options{"parallel"} or 10);
my @iterator_args = ("--mode", "ssh", "--parallel", $num_parallel,
		     "--tag", "wget", "remote_pull", $command);

exec( "./call_iterator.pl", @iterator_args );
