/**
 * NodesSelectedEvent.java
 *
 * Copyright (c) 2002 Regents of the University of California.  All
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 * 3. Neither the name of the University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 * REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package Sonar.event;

import Sonar.*;
import java.util.*;
import ostore.util.NodeId;

/**
 * This event is triggered every time a group of nodes
 * are selected.
 *
 * @author Jason Lee <jlee81@cs.berkeley.edu>
 */
public class NodesSelectedEvent extends java.util.EventObject
{
    protected Vector nodes;
    protected Date time;//and the time the event was generated

    protected double x1;
    protected double x2;
    protected double y1;
    protected double y2;
	
    //*****---CONSTRUCTOR---******//
    public NodesSelectedEvent(Object source, Vector pNodes, Date pTime, double x1, double y1, double x2, double y2) {
	super(source);
	nodes = pNodes;
	time = pTime;

	this.x1 = x1;
	this.y1 = y1;
	this.x2 = x2;
	this.y2 = y2;
    }
    //*****---CONSTRUCTOR---******//
	
	
    //*****---Get Functions---******//
    public Vector getNodes() {
	return nodes;
    }
	
    public Date getTime() {
	return time;
    }
    //*****---Get Functions---******//

}
